# generated by cabal-rpm-0.11.1
# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name hledger-lib
%global pkgver %{pkg_name}-%{version}

%global megaparsec megaparsec-5.1.2
%global subpkgs %{megaparsec}

%bcond_with tests

Name:           ghc-%{pkg_name}
Version:        1.0.1
Release:        1%{?dist}
Summary:        Core data types, parsers and functionality for the hledger accounting tools

License:        GPLv3
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz
Source1:        https://hackage.haskell.org/package/%{megaparsec}/%{megaparsec}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros-extra
# Begin cabal-rpm deps:
BuildRequires:  ghc-Decimal-devel
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-base-compat-devel
BuildRequires:  ghc-blaze-markup-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-cmdargs-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-csv-devel
BuildRequires:  ghc-data-default-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
#BuildRequires:  ghc-megaparsec-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-old-time-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-pretty-show-devel
BuildRequires:  ghc-regex-tdfa-devel
BuildRequires:  ghc-safe-devel
BuildRequires:  ghc-semigroups-devel
BuildRequires:  ghc-split-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-uglymemo-devel
BuildRequires:  ghc-utf8-string-devel
%if %{with tests}
BuildRequires:  ghc-Glob-devel
BuildRequires:  ghc-doctest-devel
BuildRequires:  ghc-test-framework-devel
BuildRequires:  ghc-test-framework-hunit-devel
%endif
# End cabal-rpm deps
# megaparsec deps
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-scientific-devel

%description
This is a reusable library containing hledger's core functionality.

hledger is a cross-platform program for tracking money, time, or any other
commodity, using double-entry accounting and a simple, editable file format.
It is inspired by and largely compatible with ledger(1). hledger provides
command-line, curses and web interfaces, and aims to be a reliable, practical
tool for daily use.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%global main_version %{version}

%if %{defined ghclibdir}
%ghc_lib_subpackage %{megaparsec}
%endif

%global version %{main_version}


%prep
%setup -q -n %{pkgver} -a1
cabal-tweak-drop-dep mtl-compat


%build
%ghc_libs_build %{subpkgs}
%ghc_lib_build


%install
%ghc_libs_install %{subpkgs}
%ghc_lib_install
%ghc_fix_rpath %{subpkgs}


%check
%cabal_test


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%license LICENSE
%{_datadir}/%{pkgver}


%files devel -f %{name}-devel.files
%doc CHANGES README doc


%changelog
* Mon Feb 20 2017 Jens Petersen <petersen@redhat.com> - 1.0.1-1
- update to 1.0.1
- subpackage megaparsec

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.27.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Sep  5 2016 Jens Petersen <petersen@redhat.com> - 0.27.1-1
- update to 0.27.1
- use pretty-show

* Tue May 24 2016 Ben Boeckel <mathstuf@gmail.com> - 0.24-5
- Rebuild for ghc-cmdargs, ghc-regexpr, ghc-split
- doc -> license macro

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.24-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Aug 08 2015 Ben Boeckel <mathstuf@gmail.com> - 0.24-3
- rebuild for ghc-safe bump

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Mar 01 2015 Ben Boeckel <mathstuf@gmail.com> - 0.24-1
- update to 0.24
- cblrpm refresh

* Fri Aug 29 2014 Jens Petersen <petersen@redhat.com> - 0.23.2-1
- update to 0.23.2
- patch out pretty-show until available in Fedora

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.19.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.19.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.19.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 12 2013 Jens Petersen <petersen@redhat.com> - 0.19.3-1
- update to 0.19.3
- update to new simplified Haskell Packaging Guidelines

* Fri Mar 22 2013 Jens Petersen <petersen@redhat.com> - 0.17-9
- rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.17-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Nov  9 2012 Jens Petersen <petersen@redhat.com> - 0.17-7
- allow building with cmdargs 0.10 and split 0.2

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.17-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Jens Petersen <petersen@redhat.com> - 0.17-5
- change prof BRs to devel

* Fri Jun 22 2012 Jens Petersen <petersen@redhat.com> - 0.17-4
- rebuild

* Sat Jun 16 2012 Jens Petersen <petersen@redhat.com> - 0.17-3
- rebuild

* Thu Mar 22 2012 Jens Petersen <petersen@redhat.com> - 0.17-2
- add license to ghc_files

* Tue Feb 28 2012 Ben Boeckel <mathstuf@gmail.com> - 0.17-1
- Update to 0.17

* Wed Jan  4 2012 Jens Petersen <petersen@redhat.com> - 0.16.1-1
- update to 0.16.1 and cabal2spec-0.25.2

* Mon Oct 24 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.16-1.1
- rebuild with new gmp without compat lib

* Mon Oct  3 2011 Jens Petersen <petersen@redhat.com> - 0.16-1
- update to 0.16
- new dependency on ghc-cmdargs

* Mon Oct  3 2011 Jens Petersen <petersen@redhat.com> - 0.14-2
- BR ghc-*-prof not devel

* Sat Jul 09 2011 Ben Boeckel <mathstuf@gmail.com> - 0.14-1
- Update to 0.14 and cabal2spec-0.24

* Fri Dec 10 2010 Ben Boeckel <mathstuf@gmail.com> - 0.13-1
- Update to 0.13

* Fri Dec 03 2010 Ben Boeckel <mathstuf@gmail.com> - 0.12.98-1
- Update to snapshot (0.12.98)

* Sat Oct 30 2010 Ben Boeckel <mathstuf@gmail.com> - 0.12.1-1
- Update to 0.12.1

* Sun Sep 05 2010 Ben Boeckel <mathstuf@gmail.com> - 0.12-1
- Update to 0.12

* Fri Sep 03 2010 Ben Boeckel <mathstuf@gmail.com> - 0.11.1-1
- Initial package

* Fri Sep  3 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.11.1-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
